{% for bind_zone in __glxclans_dns_slave_zone_domains %}
  zone "{{ bind_zone.name }}" IN {
    type slave;

    masters { {{ bind_zone.master_server_ip }}; };
    allow-notify { {{ bind_zone.master_server_ip }}; };

    file "slaves/{{ bind_zone.name }}";
{% if bind_zone.delegate is defined %}
    forwarders {};
{% endif %}
  };

{% if bind_zone.networks is defined %}
{% for network in bind_zone.networks %}
  zone "{{ ('.'.join(network.replace(network+'.','').split('.')[::-1])) }}.in-addr.arpa" IN {
    type slave;
    masters { {{ bind_zone.master_server_ip }}; };
    file "slaves/{{ ('.'.join(network.replace(network+'.','').split('.')[::-1])) }}.in-addr.arpa";
  };
{% endfor %}
{% endif %}

{% if bind_zone.ipv6_networks is defined %}
{%   for network in bind_zone.ipv6_networks %}
  zone "{{ (network | ansible.netcommon.ipaddr('revdns'))[-(9+(network|regex_replace('^.*/','')|int)//2):] }}" IN {
    type slave;
    masters { {{ bind_zone.master_server_ip }}; };
    file "slaves/{{ (network | ansible.netcommon.ipaddr('revdns'))[-(9+(network|regex_replace('^.*/','')|int)//2):-1] }}";
  };
{%   endfor %}
{% endif %}

{% endfor %}
